Bug 239200 - Review Request: onesixtyone - An efficient SNMP scanner
Review Request: onesixtyone - An efficient SNMP scanner
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: onesixtyone
  Show dependency treegraph
 
Reported: 2007-05-05 19:02 EDT by Sindre Pedersen Bjørdal
Modified: 2012-08-02 20:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-06 12:03:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
onesixtyone-makefile.patch (320 bytes, patch)
2007-05-22 22:23 EDT, Jason Tibbitts
no flags Details | Diff

  None (edit)
Description Sindre Pedersen Bjørdal 2007-05-05 19:02:22 EDT
Spec URL: http://folk.ntnu.no/sindrb/packages/green_nyc/onesixtyone.spec
SRPM URL: http://folk.ntnu.no/sindrb/packages/green_nyc/onesixtyone-0.3.2-1.fc7.src.rpm

Description:

onesixtyone takes a different approach to SNMP scanning. It takes advantage of
the fact that SNMP is a connectionless protocol and sends all SNMP requests
as fast as it can. Then the scanner waits for responses to come back and logs
them, in a fashion similar to Nmap ping sweeps.
Comment 1 Jason Tibbitts 2007-05-16 02:00:46 EDT
Builds fine for me; rpmlint has only one complaint:
  W: onesixtyone incoherent-version-in-changelog 0.32-1 0.3.2-1.fc7
Looks like its just a typo in the changelog entry.

The compiler isn't called with the proper set of flags.  You need to change your
make line to:
  make CFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}

* source files match upstream:
   450806718f72a75ea108e3675ca7856f15c518fcf517df68483c486c39910d02  
   onesixtyone-0.3.2.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper (none).
X compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
X debuginfo package is empty due to the lack of proper compiler flags.
X rpmlint has a valid complaint.
* final provides and requires are sane.
* %check is not present; no test suite upstream.
  Manual testing shows that everything works fine.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la droppings.
* not a GUI app.
Comment 2 Sindre Pedersen Bjørdal 2007-05-22 11:12:19 EDT
Updated: 

- Change make to really call proper flags

Spec URL: http://folk.ntnu.no/sindrb/packages/green_nyc/onesixtyone.spec
SRPM URL:
http://folk.ntnu.no/sindrb/packages/green_nyc/onesixtyone-0.3.2-2.fc7.src.rpm
Comment 3 Jason Tibbitts 2007-05-22 22:20:54 EDT
Well, I thought that work, and indeed I thought I tried it, but the makefile
doesn't pass CFLAGS and I get this:

gcc -o onesixtyone onesixtyone.c

which results in a busted debuginfo package, no optimization and a binary built
with none of the necessary security flags.

A quick tweak to the Makefile gets things building OK; I'll attach a patch.  You
just need to apply it in %prep and the Makefile should pick up CFLAGS and build
things properly.  Let me know if you need info on doing that.
Comment 4 Jason Tibbitts 2007-05-22 22:23:34 EDT
Created attachment 155221 [details]
onesixtyone-makefile.patch

Just add
  Patch0: onesixtyone-makefile.patch
under Source0:, and then
  %patch0
at the end of %prep.  That should get things building properly, or at least it
seems to work for me.
Comment 6 Jason Tibbitts 2007-06-01 01:44:17 EDT
I seem to have dropped the ball here, sorry.

Everything looks good:
  rpmlint is quiet now.
  The compiler is called correctly.
  The debuginfo package looks fine.

APPROVED
Comment 7 Sindre Pedersen Bjørdal 2007-06-02 05:24:11 EDT
New Package CVS Request
=======================
Package Name: onesixtyone
Short Description: An efficient SNMP scanner
Owners: foolish@guezz.net
Branches: F-7 FC-6 EL-4 El-5
Comment 8 Jason Tibbitts 2007-06-02 11:54:36 EDT
CVS done.
Comment 9 Michal Ambroz 2012-01-20 03:25:06 EST
Package Change Request
======================
Package Name: onesixtyone
New Branches: f17 f16
Owners: rebus
InitialCC: 

[add any required explanatory text here] 
Hello, I took over the ownership of the package and I would like to build it for Fedora 16/17 and keep it maintained for EL 5/6
Thank you
Michal Ambroz
Comment 10 Gwyn Ciesla 2012-01-20 08:51:00 EST
Git done (by process-git-requests).

Created f16, f17==devel and already exists.

Note You need to log in before you can comment on or make changes to this bug.